using System;
using System.Collections.Generic;

using IRaCIS.Application.Contracts;

using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Application.Interfaces
{
    public interface IVacationService
    {
        Task<IResponseOutput> AddOrUpdateVacation(VacationCommand vacationViewModel);
        Task<IResponseOutput> DeleteVacation(Guid id);
        Task<PageOutput<VacationCommand>> GetVacationList(Guid doctorId, int pageIndex, int pageSize);
        
        /// <summary> 判断当前时间是否在休假 </summary>
        Task<IResponseOutput> OnVacation(Guid reviewerId);
    }
}
